define({"170":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Interpreted-Transitions.htm",l:-1,t:"Interpreted Transitions",i:0.001701609205027,a:"Interpreted transitions use a condition entered into a text area and move to a specific activity depending on whether or not a specified condition has been met.\n   For example, the following figure demonstrates an Activity (Activity0) which has two gateways that map to two conditions; there is also ..."},"171":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Creating-an-Interpreted-Transition.htm",l:-1,t:"Creating an Interpreted Transition",i:0.000952593372298201,a:"To create a conditional transition, you need to use \n\t\t  Gateway: Conditionally split/join flows based on data to link one activity to two or more activities. (You can also define multiple conditions for the same activity by using multiple Gateways).\n\t\t To define a simple conditional transition:\n\t\t ..."},"172":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Example-of-a-Conditional-Transition.htm",l:-1,t:"Example of a Conditional Transition",i:0.000952593372298201,a:"Example of a Conditional Transition There are two examples of a conditional transition.\n  "},"173":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Example-1.htm",l:-1,t:"Example 1",i:0.000952593372298201,a:"This conditional transition example loops through the InternalApprovalWorkItemModify activity, until all participants approve the modification or one of them rejects the modification.\n\t\t \u003cRule\u003e\n      \u003cParameter name=\"wicreated\" type=\"boolean\" eval=\"variable\" \t \t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t ..."},"174":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Example-2.htm",l:-1,t:"Example 2",i:0.000952593372298201,a:"This conditional transition example does the following:\n\t\t If a ChangeProduct action is taken on a record, it is sent for edit approval \u2028(to the users authorized to approve record modifications).\n\t\t   If a DeleteRecord action is taken on a record, it is sent for delete approval.\n\t\t\t  \u003cRule\u003e\n      ..."},"175":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Compiled-Transitions.htm",l:-1,t:"Compiled Transitions",i:0.00251134109627516,a:"When you define a conditional transition using Java, the code is not defined in the process flow itself, but the java class loading mechanism is used. \n   The condition only contains a class and method reference to the code to be invoked and the parameters needed for invocation.\n\t  The Java Grammar ..."},"176":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Parameters3.htm",l:-1,t:"Parameters",i:0.000952593372298201,a:"Parameters are displayed in the \n\t\tParameter Mapping section below the \n\t\tClass Mapping section.\n\t  You can modify the parameter value by clicking in the \n\t\tValue column against the parameter. You get two options here: \n\t\tNew and \n\t\tBrowse.\n\t  Click \n\t\tNew if you want to enter a constant value.\n\t  ..."},"177":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Creating-a-Compiled-Transition.htm",l:-1,t:"Creating a Compiled Transition",i:0.000952593372298201,a:"Creating a Compiled Transition The following tasks explain the entire process of creating a compiled transition using Java step by step.\n\t\t Creating a Java Transition Project Using the Condition in the process Compiling and packaging the Java Project Merging Jar With eml.war"},"178":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Creating-a-Java-Transition-Project.htm",l:-1,t:"Creating a Java Transition Project",i:0.00115502634511024,a:"Create a new Java Project for the transition condition.\n     Use the Project wizard \n\t\t\t  File \u003e New \u003e Project \u003e Java Project. Click \n\t\t\t Next.\n\t\t   Enter a project name and click \n\t\t\t Finish.\n\t\t   Add a new java class to the project by right clicking the project and selecting \n\t\t\t  New \u003e Class.\n\t\t  ..."},"179":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Using-the-Condition-in-the-process.htm",l:-1,t:"Using the Condition in the process",i:0.00115502634511024,a:"Switch to the Modeling view and select the transition to which you want to apply the java condition.\n\t\t   Select \n\t\t\t Java in the \n\t\t\t Script Defined As dropdown.\n\t\t   Click the \n\t\t\t Select Class button and enter the name (or the initial characters) of the previously defined condition.\n\t\t   Select ..."},"180":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Compiling-and-packaging-the-Java-Project.htm",l:-1,t:"Compiling and packaging the Java Project",i:0.00115502634511024,a:"The compilation of the java file should be automatic.\n\t\t To export, right click the Project and select \n\t\t\t  Export \u003e ArchiveFile Select the java project (here, ConditionProject), select the type of archive to create, and provide a name for the archive file. Click \n\t\t\t Finish.\n\t\t   The file must now ..."},"181":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Merging-Jar-With-eml.war.htm",l:-1,t:"Merging Jar With ECM.ear",i:0.00115502634511024,a:"Merging Jar With eml.war You can merge your exported condition jar into eml.war by using Windows and UNIX. \n  "},"182":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Merging-Jar-with-ECM.ear-using-Windows.htm",l:-1,t:"Merging Jar with ECM.ear using Windows",i:0.000952593372298201,a:"Merging Jar with eml.war by using Windows On Windows, to merge an external jar file with \n\t\teml.war\\WEB-INF\\lib\\ECMClasses.jar, you can use a packaging software such as winzip or winrar.\n\t  The location for package from \n\t\tECMClasses.jar to merge the custom transition is ..."},"183":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Merging-Jar-With-ECM.ear-using-UNIX.htm",l:-1,t:"Merging Jar With ECM.ear using UNIX",i:0.000952593372298201,a:"Merging Jar With eml.war by using UNIX Extract the \n\t\t\t Condition.jar file (maintaining the directory structure when extracting) and place the extracted directory into the classes/commonClasses directory. For example: ..."},"184":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Validation.htm",l:-1,t:"Validation",i:0.000952593372298201,a:"Validation Explanation of process Validation.\n  "},"185":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Validating.htm",l:-1,t:"Validating",i:0.000952593372298201,a:"The MDM validation plug-in checks that changes are made in accordance with the validation rules.\n    It runs in the background as you modify or edit the process.\n\t\t Validation is triggered when the destination of the process is set to MDM. To do this:\n\t\t Select the Process in the Project ..."},"186":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Problems-Tab.htm",l:-1,t:"Problems Tab",i:0.000952593372298201,a:"The \n\t Problems tab displays errors related to specific elements in your process.\n    Information is categorized into Errors and Warnings.\n\t  Problems Tab Description: This provides error descriptions along with the processname and elementname the error is applicable to.\n\t\t   Resource: This displays ..."},"187":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Validation-Checks.htm",l:-1,t:"Validation Checks",i:0.000952593372298201,a:"Validation Checks Validation checks are performed to ensure conformity to TIBCO MDM standards.\n  "},"188":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Miscellaneous-Validations.htm",l:-1,t:"Miscellaneous Validations",i:0.000952593372298201,a:"All Activity Types to Service Task\u2028All Activity types should be set to Service Task. Usage of any other activity type will result in an error.\n\t\t Single starting point for process\u2028The process should have only a single Start Event.\n\t\t Intermediate Event Restrictions\u2028Intermediate events are restricted ..."},"189":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Activity-Validations.htm",l:-1,t:"Activity Validations",i:0.000952593372298201,a:"Unique Activity Names: Each activity should have a unique name, which is mapped to the MDM activity name. Activity names are case sensitive. Spaces and special characters are not allowed in activity name.\n\t\t No Disconnected Activities: Activities which cannot be executed from a start event are ..."},"190":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Transition-Validations.htm",l:-1,t:"Transition Validations",i:0.000952593372298201,a:"No Multiple uncontrolled transitions \u2028Multiple uncontrolled transitions should not be present since they are not supported by the MDM workflow engine. If there is more than one outgoing transition from an activity, a gateway has to be used.\n\t\t No inbound transitions for Boundary events\u2028Boundary ..."},"191":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Gateway-Validations.htm",l:-1,t:"Gateway Validations",i:0.000952593372298201,a:"Only Conditional (XOR) or Parallel (AND) gateways Gateway Type should be XOR Data Gateway (Exclusive Decision/Merge Data or Event based) or Parallel Gateway (Parallel Fork/Join). No other Gateway Types are supported.\n\t\t Parallel gateway placement is a process. A parallel gateway cannot be the last ..."},"192":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Parameter-Validations.htm",l:-1,t:"Parameter Validations",i:0.000952593372298201,a:"Parameter Validations Source values for rule/xpath/catalog/lookup evals. If the eval attribute value is rule or xpath or catalog or lookup, the source attribute has to be in the data field.\n\t\t"},"193":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Parameter-Mapping-Validations.htm",l:-1,t:"Parameter Mapping Validations",i:0.000952593372298201,a:"Parameter Mapping Validations There should be no broken parameter mappings. Either remove the parameter mapping or add the parameter in the wsdl.\n\t "},"194":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Data-Field-Restrictions.htm",l:-1,t:"Data Field Restrictions",i:0.000952593372298201,a:"Global data field restrictions (WARNING) Data Fields must be declared in the real process or at the package level.\n\t\t Business Studio elements that are not supported by TIBCO MDM Process Designer, for example associations, annotations and so on, will not be validated. These associations can be ..."},"195":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Import--Export-and-Deploying-Processes.htm",l:-1,t:"Import Export and Deploying Processes",i:0.000952593372298201,a:"Import Export and Deploying Processes You can import processes into the TIBCO MDM Process Designer, export processes created in TIBCO MDM Process Designer to TIBCO MDM, and deploy processes.\n\t "},"196":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Import-Processes-into-MDM-Process-Designer.htm",l:-1,t:"Import Processes into MDM Process Designer",i:0.000952593372298201,a:"Import Processes into TIBCO MDM Process Designer In addition to enabling you to graphically define processes, the TIBCO MDM Process Designer also supports import of existing TIBCO MDM processes for modification and subsequent re-export.\n    This is particularly useful for customers with existing ..."},"197":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Importing-a-Process.htm",l:-1,t:"Importing a Process",i:0.000952593372298201,a:"Create an empty project with a Process Package.\n\t\t   Go to \n\t\t\t\t   File \u003e New \u003e Project.\n\t\t\t\t Select \n\t\t\t\t  MDM Developer Project.\n\t\t\t\t Provide a name for the Project.\n\t\t\t\t Select \n\t\t\t\t  Business Processes, Business Objects, and Services in the \n\t\t\t\t  Asset type Selection \n\t\t\t\t   dialog.\n\t\t\t\t Follow ..."},"198":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Clean-Up-an-Imported-Process.htm",l:-1,t:"Clean Up an Imported Process",i:0.000952593372298201,a:"You can clean up an imported process to avoid overlapping tasks and transitions.\n   When you import a process into TIBCO MDM Process Designer, there may be some overlap in the flow elements, for instance, you may have one task over the other or overlapping transitions and annotations. You may need ..."},"199":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Limitations-of-the-Process-Import.htm",l:-1,t:"Limitations of the Process Import",i:0.000952593372298201,a:"Existing MDM workflows do not have associated layout information that allows for placing activities and transitions per your preference. Import functionality, however, automatically generates layout information, and align activities and gateways rigidly on a grid. This generation may sometimes lead ..."},"200":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Migrating-Processes.htm",l:-1,t:"Migrating Processes",i:0.000952593372298201,a:"To migrate any older version projects into the current Process Designer, follow these steps:\n\t\t Import the older project into the Process Designer workspace. The processes won’t be open and will run into validation problems.\n\t\t   Right-click the version problem in the \n\t\t\t Problems Tab and select ..."},"201":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Directly-Deploying-Workflows.htm",l:-1,t:"Directly Deploying Workflows",i:0.000952593372298201,a:"The Process Designer supports direct deployment of workflows. You do not need to manually export your process and import it into TIBCO MDM.\n    This network deployment is a web service, through which, you can list processes, deploy process definitions or undeploy process definitions.\n\t  The XPDL ..."},"202":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Creating-a-MDM-Deployment-Server.htm",l:-1,t:"Creating a MDM Deployment Server",i:0.000952593372298201,a:"Select \n\t\t\t  File \u003e New \u003e Other. \n\t\t\t\t Select \n\t\t\t  Business Modeling \u003e Deployment \u003e Server.\n\t\t   Provide the Server Name; select \n\t\t\t MDM Server as Runtime.\n\t\t   Enter the \n\t\t\t Base URL, Enterprise, User Name, Password and select \n\t\t\t Remote as the Repository Type. Click \n\t\t\t Finish.\n\t\t   If you ..."},"203":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Editing-Server-Parameters.htm",l:-1,t:"Editing Server Parameters",i:0.000952593372298201,a:"Editing Server Parameters You can edit server parameters by right clicking the Server and going to \n\t\t  Properties.\n\t\t"},"204":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Deploying-Workflows.htm",l:-1,t:"Deploying Workflows",i:0.000952593372298201,a:"You can deploy both new workflows and modified (existing) workflows. \n   Right click MDM Server and select \n\t\t\t Deploy Module. \n\t\t   In case you do not see the Deployment Server Pane, go to WINDOW \u003e Show view \u003e Other and select Deployment Server under Studio. Click OK. \n\t\t   Click \n\t\t\t  and select ..."},"205":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Deploying-Workflows-through-Export.htm",l:-1,t:"Deploying Workflows through Export",i:0.000952593372298201,a:"Once a MDM Workflow has been defined and edited, follow these steps to export it:\n\t\t Ensure that the \n\t\t\t Destination for the Process is set to \n\t\t\t MDM. To do this:\n\t\t   In the \n\t\t\t\tProperties Window, click the \n\t\t\t\tDestinations Tab.\n\t\t\t  Set the Destination Environment to \n\t\t\t\tMDM by selecting the ..."},"206":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Deployment-to-the-Workflow-Engine.htm",l:-1,t:"Deployment to the Workflow Engine",i:0.000952593372298201,a:"Once you export your process to an XML file, you need to copy that XML file to the MDM defined location for workflow files.\n\t  Workflows in MDM are saved in either of the following locations:\n\t  A common workflow location \u2028($MQ_COMMOM_DIR/standard/workflow) or\n\t\t An enterprise specific workflow ..."},"207":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Undeploy-workflows.htm",l:-1,t:"Undeploy workflows",i:0.000952593372298201,a:"Undeploy workflows To undeploy a workflow from the server, right click the deployed module and select \n\t\tUndeploy.\n\t  This undeploys the selected workflow, and a backup of it is internally renamed and stored.\n\t "},"208":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Sharing-Processes.htm",l:-1,t:"Sharing Processes",i:0.000952593372298201,a:"Sharing Processes You can create and share processes with other users.\n  "},"209":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Overview.htm",l:-1,t:"Overview",i:0.000952593372298201,a:"TIBCO MDM processes can be shared assuming that a subversion version control system has been set up and is ready to use.\n   TIBCO MDM Processes are often designed in a multi user environment, where multiple people need access to the same file and also a versioning of the process designs becomes ..."},"210":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Setting-up-MDM-Process-Designer-to-use-the-Subversion-Repository.htm",l:-1,t:"Setting up MDM Process Designer to use the Subversion Repository",i:0.00176232526354636,a:"Start the MDM Process Designer. In the menu bar, select \n\t\t\t  Window \u003e Open Perspective \u003e Other. In the \n\t\t\t Open Perspective dialog box that is displayed, select \n\t\t\t SVN Repository Exploring.\n\t\t   In the \n\t\t\t SVN Repository view displayed (initially empty) right click and select \n\t\t\t  New \u003e ..."},"211":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Sharing-a-Process-Design-Project.htm",l:-1,t:"Sharing a Process Design Project",i:0.000952593372298201,a:"Switch to the modeling perspective and select the project you want to share. Right click the Project and select \n\t\t\t  Team \u003e Share Project.\n\t\t   In the Share Project dialog, you will be prompted to select the repository plug-in to use the share the selected project. Select \n\t\t\t SVN and click \n\t\t\t ..."},"212":{y:0,u:"../Process-Designer/Process-Designer-User-guide/Accessing-a-shared-project.htm",l:-1,t:"Accessing a shared project",i:0.000952593372298201,a:"In order to access a previously committed project with a different CPD installation or with a different user/workspace, ensure you have completed the SVN repository setup as detailed in \n\t\t   Setting up MDM Process Designer to use the Subversion Repository .\n\t\t Select \n\t\t\t  File - \u003e  New - \u003e  ..."},"213":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Tutorial-Overview.htm",l:-1,t:"Tutorial Overview",i:0.000952593372298201,a:"This tutorial walks you through the process of: \n   Creating a repository model that contains the following: \n\t\t   Three Repositories: \n\t\t\t\tCustomer, \n\t\t\t\tAccount, and \n\t\t\t\tAddress. \n\t\t\t  A \n\t\t\t\tCustomerDetails Attribute Group within the \n\t\t\t\tCustomer Repository containing FirstName, LastName, ..."},"214":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-a-Project.htm",l:-1,t:"Creating a Project",i:0.000952593372298201,a:"First, create a new Project to hold the Repository Model.\n   Go to \n\t\t\t  File \u003e New \u003e  Project.The Create \n\t\t\t New MDM Developer Project wizard is displayed.\n\t\t   Select \n\t\t\t MDM Developer Project and click \n\t\t\t Next.\n\t\t   Provide a name for the Project: \n\t\t\t RepositoryTutorial. Clear the \n\t\t\t Use ..."},"215":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-New-Repository-Model-in-the-Repository-Models-Folder.htm",l:-1,t:"Creating New Repository Model in the Repository Models Folder",i:0.000952593372298201,a:"Right click the Repository Models folder in the Project Explorer and select \n\t\t\t  New \u003e Repository Model. \n\t\t   Accept the name and location for the repository model (.rep extension) and click \n\t\t\t Finish. \n\t\t   In the Project Explorer, double click \n\t\t\t\tRepositoryModel.rep (under the newly created ..."},"216":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Repositories.htm",l:-1,t:"Creating Repositories",i:0.000952593372298201,a:"First, create 3 repositories. \n   Click the   icon in the Palette and then click in the main drawing pane to insert the Repository. Call the Repository \n\t\t\t Customer.\n\t\t   Create a second repository \n\t\t\t Account and place it to the right of the Customer Repository. \n\t\t   Create a third repository ..."},"217":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Create-Attribute-Groups-and-Attributes.htm",l:-1,t:"Create Attribute Groups and Attributes",i:0.000952593372298201,a:"Create Attribute Groups and Attributes Next, create attribute groups for each repository and add some attributes.\n\t "},"218":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Customer-Repository.htm",l:-1,t:"Creating Customer Repository",i:0.000952593372298201,a:"Select the \n\t\t\t   icon from the Palette and click in the Customer repository (either at the top or bottom of the Repository) to add an Attribute Group. Call the group \n\t\t\t CustomerDetails.\n\t\t   Select the \n\t\t\t   icon in the Palette and click within the newly created CustomerDetails attribute group. ..."},"219":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Setting-EmailAddress-as-Multivalue-attribute.htm",l:-1,t:"Setting EmailAddress as Multivalue attribute",i:0.000952593372298201,a:"Setting EmailAddress as Multivalue attribute Click the EmailAddress attribute in the repository.\n\t\t   In the \n\t\t\t Properties window, set Multi Value to \n\t\t\t true. This indicates that this attribute can hold more than one value.\n\t\t  "},"220":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Account-Repository.htm",l:-1,t:"Creating Account Repository",i:0.000952593372298201,a:"Select the \n\t\t\t   icon from the Palette and click in the Account repository to add an attribute group called \n\t\t\t AccountDetails. \n\t\t   Select the \n\t\t\t   icon in the Palette and click within the newly created AccountDetails attribute group. Call the attribute \n\t\t\t AccountNumber and keep the default ..."},"221":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Address-Repository.htm",l:-1,t:"Creating Address Repository",i:0.000952593372298201,a:"Select the \n\t\t\t   icon from the Palette and click in the Address repository to add an attribute group called \n\t\t\t AddressDetails.\n\t\t   Select the \n\t\t\t   icon in the Palette and click within the newly created \n\t\t\t AddressDetails attribute group. Call the attribute \n\t\t\t Street and keep the default ..."},"222":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Create-Relationships.htm",l:-1,t:"Create Relationships",i:0.000952593372298201,a:"Create Relationships Next, create relationships between the Customer and Account repositories and the Customer and Address repositories.\n\t "},"223":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Setting-Relationship-between-Customer-and-Account.htm",l:-1,t:"Setting Relationship between Customer and Account",i:0.000952593372298201,a:"Select the   icon from the Palette; click on the outer edge of the Customer repository and drag to the outer end of the Account repository to define a relationship.\n\t\t   When attempting to draw a relationship from a source repository, ensure that you see an arrow as indicated below. \n\t\t\t\t Once you ..."},"224":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Setting-Relationship-between-Customer-and-Address.htm",l:-1,t:"Setting Relationship between Customer and Address",i:0.000952593372298201,a:"Select the   icon from the Palette; click on the outer edge of the Customer repository and drag to the outer end of the Address repository to define a relationship.\n\t\t   Provide \n\t\t\t CustomerToAddress as forward relationship name and \n\t\t\t AddressToCustomer as reverse relationship name. \n\t\t  "},"225":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Define-Relationship-Attributes.htm",l:-1,t:"Define Relationship Attributes",i:0.000952593372298201,a:"Define Relationship Attributes Next, define some relationship attributes for the defined relationships. You first need to create Relationship Attribute Groups to hold the attributes and then add the actual attributes."},"226":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Relationship-Attributes-for-CustomerToAccount.htm",l:-1,t:"Creating Relationship Attributes for CustomerToAccount",i:0.000952593372298201,a:"Select the   icon from the Palette and click in the canvas above or close to the \n\t\t\t CustomerToAccount relationship to place the attribute group.\n\t\t   Select the   icon from the Palette and click in the relationship attribute group.\n\t\t   Call the new attribute \n\t\t\t AccountType and keep the default ..."},"227":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Relationship-Attributes-for-CustomerToAddress.htm",l:-1,t:"Creating Relationship Attributes for CustomerToAddress",i:0.000952593372298201,a:"Select the Relationship Attribute Group icon from the Palette and click in the canvas close to the CustomerToAddress Relationship to place the relationship attribute group. \n\t\t   Add the following relationship attributes: \n\t\t   HomeAddress, type Boolean.\n\t\t\t  AddressSince, type Date.\n\t\t\t  ..."},"228":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Connecting-the-Relationship-attribute-groups-to-the-relationships.htm",l:-1,t:"Connecting the Relationship attribute groups to the relationships",i:0.000952593372298201,a:"Click the \n\t\t\t   icon in the Palette. Click the outer border of the Relationship Attribute Group (for the CustomerToAccount relationship) and drag to connect the relationship. This connects the relationship attribute group to the relationship.\n\t\t   Repeat the same process to connect the relationship ..."},"229":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Create-a-Perspective.htm",l:-1,t:"Create a Perspective",i:0.000952593372298201,a:"Create a Perspective Next, create a perspective to define the subset of the relationships of the root repository. \n\t "},"230":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Creating-Perspective-for-Subset-of-Relationship.htm",l:-1,t:"Creating Perspective for Subset of Relationship",i:0.000952593372298201,a:"Right click on Customer Repository and select \n\t\t\t  New \u003e Perspective Creation.\n\t\t   The Perspective Generator Wizard is displayed. Enter the Perspective name in the \n\t\t\t Name field and enter the description in the \n\t\t\t Description field and click \n\t\t\t Next. \n\t\t   Select the relationships which you ..."},"231":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Validate-the-Repository-Model.htm",l:-1,t:"Validate the Repository Model",i:0.000952593372298201,a:"At this point, if you have followed all the steps in the tutorial so far, there should be no validation errors. If you omitted to perform any of the steps, it may result in a validation error. For instance, if you create a relationship attribute group but leave it empty (without adding any ..."},"232":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Exporting-the-Repository-Model.htm",l:-1,t:"Exporting the Repository Model",i:0.000952593372298201,a:"Next, export your repository model.\n   The Export Wizard is used to export the graphically designed repository to TIBCO MDM metadata format (.xml file).\n\t\t Select the \n\t\t\t RepositoryTutorial Project in the Project Explorer and click \n\t\t\t  File \u003e Export or right click the project and select \n\t\t\t ..."},"233":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Importing-the-Repository-Model-into-MDM.htm",l:-1,t:"Importing the Repository Model into MDM",i:0.000952593372298201,a:"Importing the Repository Model into TIBCO MDM You can now import the repository meta data into TIBCO MDM.\n   Start the TIBCO MDM application\n\t\t   Go to \n\t\t\t  System Operations \u003e Import Meta Data.\n\t\t   Browse to select the \n\t\t\t RepositoryModel.xml file, exported from the Repository Designer.\n\t\t   You ..."},"234":{y:0,u:"../Repository-Designer/Repository-Designer-Tutorial/Generating-the-WSDL.htm",l:-1,t:"Generating the WSDL",i:0.000952593372298201,a:"You can now Generate WSDL for Person Account.\n   Import repository designer sample into your current workspace. Select \n\t\t\t Help-Welcome. Click the samples icon.\n\t\t   From \n\t\t\t Solution Designer-Available sample project, click the Repository Model sample.\n\t\t   Follow the wizard to import the ..."},"235":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Getting-Started.htm",l:-1,t:"Getting Started",i:0.000952593372298201,a:"Getting Started This chapter explains how to get started using the Repository Designer.  "},"236":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Repository-Designer-.htm",l:-1,t:"Repository Designer Overview",i:0.000952593372298201,a:"Repositories are the cornerstone of TIBCO MDM. All your data and records, both master and reference, are created, stored, and managed in repositories.\n\t  The Repository Designer adds a visual element to designing repositories and makes the process quicker and more intuitive.\n\t  The Repository ..."},"237":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/What_you_can_do_with142.htm",l:-1,t:"What you can do with the Repository Designer",i:0.000952593372298201,a:"With the Repository Designer, you can create repositories, modify them, rename them, add and modify attributes and attribute groups, create self or cross repository relationships, and export or deploy the final repository model to TIBCO MDM to use it.\n\t  You can also import repository metadata ..."},"238":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Starting-the-Reposit.htm",l:-1,t:"Starting the Repository Designer",i:0.000952593372298201,a:"After the installation completes, start the Repository Designer by selecting \n\t\t\t  Start \u003e Program Files \u003e TIBCO \u003e TIBCO_HOME \u003e TIBCO MDM Studio \u003cversion\u003e \u003e Studio Designer. \n\t\t   Provide a workspace location (folder where projects are saved). \n\t\t   You can create multiple workspaces. \n\t\t\t "},"239":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Welcome-Screen.htm",l:-1,t:"Welcome Screen",i:0.000952593372298201,a:"After you select the workspace for the first time, Eclipse opens up with the Welcome screen. This contains icons to samples and tutorials among other things.\n\t  This Welcome screen shows up only the first time and will not be displayed for subsequent openings of Eclipse. If you want to go to this ..."},"240":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Accessing-Samples.htm",l:-1,t:"Accessing Samples",i:0.00176232526354636,a:"MDM Studio Samples are a collection of the MDM standard processes, process modelling tutorials, repository data models, rulebase model, custom import project, MDM Model templates, and Process java transitions. \n\t\t The sample models are provided to illustrate the modelling capabilities of  MDM ..."},"241":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-new-Repos.htm",l:-1,t:"Creating a new Repository Model",i:0.00176232526354636,a:"Creating a new Repository Model To create a repository model from scratch, you first need to create a Project that holds your model. The following are the steps involved: \n\t  Creating a new Project to hold your Repository Model (Step 1 ) Creating a Repository Model (Step 2)"},"242":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-new-Proje.htm",l:-1,t:"Creating a new Project to hold your Repository Model (Step 1)",i:0.00251134109627516,a:"Go to \n\t\t\t  File- \u003e New- \u003e  Project. Click \n\t\t\t Next. The Create New MDM Developer Project wizard is displayed. \n\t\t   Select \n\t\t\t MDM Developer Project and click \n\t\t\t Next. \n\t\t   Provide a name for the Project. Clear the \n\t\t\t Use default location checkbox if you want to provide a different location ..."},"243":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-Repositor.htm",l:-1,t:"Creating a Repository Model (Step 2)",i:0.001701609205027,a:"Creating a Repository Model (Step 2) Right-click the Repository Models folder in the Project Explorer and select New - Repository Model. \n\t\t   Accept the default name for repository model (RepositoryModel.rep) and default location or enter a new location and name. Click \n\t\t\t Finish. \n\t\t  "},"244":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Project-Explorer.htm",l:-1,t:"Project Explorer",i:0.000952593372298201,a:"Project Explorer The Project Explorer contains the various MDM project folders.\n  "},"245":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/MDM-Project.htm",l:-1,t:"MDM Project",i:0.000952593372298201,a:"The MDM project contains a \n\t Repository Models \n\t folder. \n   When you create a new (empty) repository model .rep file (see \n\t\t Creating a new Repository Model ), the repositories you define (along with attributes and attribute groups) and relationships (along with relationship attributes and ..."},"246":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Property-tabs.htm",l:-1,t:"Property tabs",i:0.000952593372298201,a:"Property tabs The Property tab contains the following:\n\t  Repository Property section Relationship Property section Relationship Attribute Group section"},"247":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Repository-Property-.htm",l:-1,t:"Repository Property section",i:0.00122250400271426,a:"On selecting a repository, you can see the following tabs through which you can view or modify Repository properties: \n\t  General Tab The \n\t\t  General tab displays basic repository properties. For more details, see \n\t\t   General Tab Attributes Tab The \n\t\t  Attributes tab displays Repository ..."},"248":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Relationship-Propert.htm",l:-1,t:"Relationship Property section",i:0.00122250400271426,a:"Relationship Property section On selecting a Relationship, you can view or modify Relationship properties through the Properties pane, \n\t\tGeneral tab. For more details, see \n\t\t Relationship Properties .\n\t "},"249":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Relationship_Attribu83.htm",l:-1,t:"Relationship Attribute Group section",i:0.00122250400271426,a:"Relationship Attribute Group section On selecting a Relationship Attribute Group, you can view or modify properties through the Properties pane, \n\t\tGeneral tab and \n\t\tAttributes tab. For more details, see \n\t\t Relationship Attribute Properties .\n\t "},"250":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Quick-Search.htm",l:-1,t:"Quick Search",i:0.000952593372298201,a:"Quick Search Using the type ahead search dialog you can find diagram entities such as repositories, attributes or relationships. Press Ctrl + F or click  \n\t  in the toolbar on selected diagram. \n\t "},"251":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Attribute-and-Attrib.htm",l:-1,t:"Attribute and Attribute Group Repositioning",i:0.000952593372298201,a:"Attribute and Attribute Group Repositioning The attributes and Attributes groups can be repositioned within the same repository.\n  "},"252":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Attribute-Group-Repo.htm",l:-1,t:"Attribute Group Reposition",i:0.000952593372298201,a:"The repository attribute group can be repositioned within the repository with drag and drop. For example, the \"Contact Number\" attribute group is repositioned from the bottom of the repository to the top of the repository.\n\t  The \"Contact Number\" attribute group is displayed on the top of the ..."},"253":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Attribute-Reposition.htm",l:-1,t:"Attribute Reposition within same Attribute Group",i:0.000952593372298201,a:"The repository attributes can be repositioned within the same attribute group in a repository with drag and Drop. For example, the \"Home\" attribute is repositioned from top of the attribute group to the bottom of the same attribute group.\n\t  The \"Home\" attribute is displayed at the bottom of the ..."},"254":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Attribute_Reposition9.htm",l:-1,t:"Attribute Reposition from one Attribute Group to another Attribute Group",i:0.000952593372298201,a:"The repository attribute can be repositioned from one attribute group to another attribute group within the same repository with drag and drop. If a attribute is repositioned from one attribute group to other, then it is added as a last attribute in the target attribute group. For example, the ..."},"255":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Palette.htm",l:-1,t:"Palette",i:0.000952593372298201,a:"Palette The Palette (to the right of the screen) contains different artifacts to help you build your repository model. Select and drop into the main drawing pane to define or modify your repository model. You can do the following with the Palette: \n\t "},"256":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Association-Mapping.htm",l:-1,t:"Association Mapping",i:0.000952593372298201,a:"Using the Association Mapping property, you can choose any attribute as ID (Record Id), IDEXT (Record ID Extension), or EFFECTIVEDATE. The available mappings in the Association Mapping drop-down list are \n\t\tNONE, \n\t\tID, \n\t\tIDEXT, and \n\t\tEFFECTIVEDATE. \n\t  EFFECTIVEDATE Mapping The’Name’ and ’Display ..."},"257":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Repository-Attribute.htm",l:-1,t:"Repository Attributes and Relationships",i:0.000952593372298201,a:"Repository Attributes and Relationships This chapter explains how to design your repository complete with attributes, relationships, and relationship attributes.\n\t "},"258":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Repository-Definitio.htm",l:-1,t:"Repository Definition",i:0.000952593372298201,a:"The following are the major steps involved in designing your repository:\n\t  Adding Repositories\n\t\t Defining Attribute Groups\n\t\t Adding Attributes\n\t\t Creating Relationships\n\t\t Creating Relationship Attribute Groups\n\t\t Defining Relationship Attributes within a Relationship Attribute Group\n\t\t ..."},"259":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Adding-a-Repository-.htm",l:-1,t:"Adding a Repository (Step 1)",i:0.000952593372298201,a:"Adding a Repository (Step 1) You can add the repository from the Palette and also from editor by hovering cursor on data domain.\n\t\t"},"260":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/From-the-Palette.htm",l:-1,t:"From the Palette",i:0.0011257875638512,a:"To add a new repository, click the \n icon in the Palette and then click in the main drawing pane to insert the new Repository; you will be prompted to provide a name for the repository. \n\t  By default, the repository contains 2 attribute groups Unassigned and System (more attribute groups can be ..."},"261":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/From-the-Callout-Han.htm",l:-1,t:"From the Callout Handler",i:0.000952593372298201,a:"You can add the Repository using the callout handler in the editor. Hover the mouse on the editor, the Add Repository and Add Relationship Attribute Group icons are displayed. Click the Add Repository icon, the new Repository gets added in the editor. Similarly click the Add Relationship Attribute ..."},"262":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Custom-prop-repo.htm",l:-1,t:"Defining Custom Properties for Repositories",i:0.00108754868750623,a:"You can define custom properties for a repository by using the Configurations \u003e repositoryAdvancedProperties.properties file. To define new custom properties for a repository, complete the following the steps: From the Project Explorer, navigate to Configurations and open the ..."},"263":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Defining-Attribute-G.htm",l:-1,t:"Defining Attribute Groups (Step 2)",i:0.0011257875638512,a:"An Attribute Group represents a logical grouping of the attributes in a repository. Each attribute is assigned to an attribute group. \n\t\t To create an attribute group: \n\t\t Click the \n\t\t\t   icon in the Palette and then click in the Repository to add the Attribute Group. \n\t\t   Enter a name for the ..."},"264":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Custom-prop-attri-grp.htm",l:-1,t:"Defining Custom Properties for Attribute Groups",i:0.00108754868750623,a:"You can define custom properties for an attribute group by using the Configurations \u003e attrGroupAdvancedProperties.properties file. To define new custom properties for an attribute group, complete the following the steps: From the Project Explorer, navigate to Configurations and open the ..."},"265":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Adding-predefined-attri-groups.htm",l:-1,t:"Adding Predefined Attribute Groups",i:0.00108754868750623,a:"By using the predefined attribute group feature in TIBCO MDM Studio, you can create customized attribute groups based on your specific needs. You can use these attribute groups in any repository model across the project.  These attribute groups can be defined in the predefinedAttributeGroups.xml ..."},"266":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Exporting-Attribute-Grp.htm",l:-1,t:"Exporting Attribute Groups",i:0.00108754868750623,a:"You can export existing attribute groups to use in other repositories. Follow these steps to export an attribute group: Select a repository from where you want to export the attribute group. In the Properties tab, \n\t\t\t click Attributes and then click Export Attribute Group. The Export Attribute ..."},"267":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Defining-Attributes-.htm",l:-1,t:"Defining Attributes (Step 3)",i:0.000952593372298201,a:"Attributes define the structure of a repository. To create attributes: \n\t\t Click the \n\t\t\t   icon in the Palette and then click in the Repository (under an attribute group) to add the Attribute. \n\t\t   Enter an attribute name. \n\t\t    Attribute properties can be edited directly by clicking the ..."},"268":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Defining-Relationshi.htm",l:-1,t:"Defining Relationships (Step 4)",i:0.000952593372298201,a:"A Relationship represents a connection between two repositories. You can define two types of relationships:\n\t\t Self relationships where relationships are defined between records in the same repository.\n\t\t   Cross repository relationships which are defined across records in different repositories.\n\t\t ..."},"269":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/A---Creating-Relatio.htm",l:-1,t:"A - Creating Relationship(s)",i:0.00199175852161618,a:"To create a relationship: \n\t\t Click the \n\t\t\t   icon in the Palette and then click the edge or the header of the source Repository (that you want to create the relationship from). \n\t\t   Drag the mouse towards the target repository and release the mouse button. \n\t\t   Enter a relationship name and ..."},"270":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/B--Creating-Relation.htm",l:-1,t:"B- Creating Relationship Attribute Group(s)",i:0.00947557704605879,a:"A Relationship Attribute Group serves as a container for one or more Relationship Attributes. \n\t\t You need to first define a Relationship Attribute Group before you define Relationship Attributes (see \n\t\t   C - Defining Relationship Attributes ). \n\t\t To define a Relationship Attribute Group: \n\t\t  ..."},"271":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/C---Defining-Relatio.htm",l:-1,t:"C - Defining Relationship Attributes",i:0.0100344447528597,a:"  When a relationship is defined, one or more attributes can be defined for the relationship (similar to repository attributes). \n\t\t You need to first define a Relationship Attribute Group before you define relationship attributes (see \n\t\t   B- Creating Relationship Attribute Group(s) ). \n\t\t To ..."},"272":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/D---Connecting-the-R.htm",l:-1,t:"D - Connecting the Relationship Attribute Group to the Relationship",i:0.000952593372298201,a:"  Once you define Relationship Attributes within a Relationship Attribute Group, you need to connect the Relationship Attribute Group to the Relationship. To do this: \n\t\t Select the \n\t\t\t Group Connector icon under Connectors in the Palette. \n\t\t   Make a connection from the relationship attribute ..."},"273":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Importing-your-MDM-R.htm",l:-1,t:"Importing your MDM Repository",i:0.000952593372298201,a:"Importing your TIBCO MDM Repository This section presumes that you have defined a repository in TIBCO MDM (with or without artifacts such as attributes, relationships and so on), exported it by inputting the request XML (with the repository name) through the Export Metadata UI in TIBCO MDM, and ..."},"274":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Exporting-a-Reposito.htm",l:-1,t:"Exporting a Repository Model",i:0.000952593372298201,a:"The Export Wizard is used to export the graphically designed repository model to TIBCO MDM in .xml file format. \n\t\t Select the Project in the Project Explorer and click \n\t\t\t  File- \u003e Export or right click the project and select \n\t\t\t Export. \n\t\t   Select \n\t\t\t MDM Metadata Format under \n\t\t\t MDM ..."},"275":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Importing-a-Reposito.htm",l:-1,t:"Importing a Repository Model",i:0.000952593372298201,a:"Once you export the Repository model (XML file), you can import it into TIBCO MDM. \n\t\t Start the TIBCO MDM application. \n\t\t   Go to \n\t\t\t System Operations-Import Meta Data. Browse to select the \n\t\t\t .xml \n\t\t\t file exported from the Repository Designer. Click \n\t\t\t Upload. \n\t\t   You can see details of ..."},"276":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Appearance-Tab.htm",l:-1,t:"Appearance Tab",i:0.00131717818587794,a:"Appearance Tab You can change the appearance of the repository model elements. The Appearance tab provides different icons using which you can change the font, color and styles of the repository, attribute group, relationship attribute group, and the relationships.\n\t "},"277":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Appearance_Tab_For_R2.htm",l:-1,t:"Appearance Tab For Repository",i:0.000952593372298201,a:"You can change the appearance of the Repository. Use the following icons to change the appearance.\n   Select the repository for which you want to change the appearance in the editor and click the \n\t\t\t Appearance property tab in property section.\n\t\t    The \n\t\t\t Fonts and Colors group is displayed. ..."},"278":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Appearance-Tab-For-A.htm",l:-1,t:"Appearance Tab For Attribute Group",i:0.000952593372298201,a:"You can change the appearance of the repository attribute group. Use the following icons to change the appearance. Select the repository attribute group for which you want to change the appearance in the editor and click on the Appearance property tab in property section. \tThe Fonts and Colors group ..."},"279":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Appearance_Tab_For_R1.htm",l:-1,t:"Appearance Tab For Relationship Attribute Groups",i:0.000952593372298201,a:"You can change the appearance of the relationship attribute group. Use the following icons to change the appearance. Select the relationship attribute group for which you want to change the appearance in the editor and click on the Appearance property tab in property section. \tThe Fonts and Colors ..."},"280":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Appearance-Tab-For-R.htm",l:-1,t:"Appearance Tab For Relationship",i:0.000952593372298201,a:"You can change the appearance of the relationship. Use the following icons to change the appearance Select the relationship for which you want to change the appearance in the editor and click on the Appearance property tab in property section. \tThe Fonts and Colors group is displayed. Select the new ..."},"281":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Data-Source-Editor.htm",l:-1,t:"Data Source Editor",i:0.000952593372298201,a:"Data Source Editor This chapter introduces you to the concept of Data Sources in TIBCO MDM Studio and explains how to use this feature.\n\t "},"282":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Data-Sources-Overvie.htm",l:-1,t:"Data Sources Overview",i:0.000952593372298201,a:"Data sources are used to import data into repositories, identify records to create subsets and transform data. Data sources model external sources of information, such as any file that you want to upload.\n\t  Data sources can be used to:\n\t  Imports record into repositories.\n\t\t List to define a ..."},"283":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Data-Source-Properti.htm",l:-1,t:"Data Source Properties",i:0.000952593372298201,a:"The Data Source Properties are as follows: \n   Name: The Data Source name must be unique and can contain A-Z, 0-9, all special characters (except a space), and characters from other languages too. \n\t\t Description: The Data Source Description. \n\t\t Delimiter Character: The delimiter character can be a ..."},"284":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/What-you-can-do-with.htm",l:-1,t:"What you can do with the Data Source Designer",i:0.000952593372298201,a:"With the Data Source Designer, you can create data sources, modify them, customize attributes, and export the final data source model to TIBCO MDM. You can also import multiple Data Source metadata exported from TIBCO MDM into the Data Source Designer for further edits or you can use it to define ..."},"285":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-New-Data-.htm",l:-1,t:"Creating a New Data Source Model",i:0.000952593372298201,a:"Right-click on the \n\t\t\t Datasources \n\t\t\t folder in the Project Explorer and select \n\t\t\t  New - \n\t\t\t\t \u003e  Data Source Model. The Data Sources special folder can be created if it is not available in project. \n\t\t\t\t   To create new Data Source special folder do the following: \n\t\t\t\t   Right click on ..."},"286":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Database-Format.htm",l:-1,t:"Database Format",i:0.000952593372298201,a:"To use database format, you must have a database connection. Profile should be created on the database where TIBCO MDM is running. For more information on creating a new database connection refer to \n\t\t   Creating a New Database Connection profile . \n\t\t If you have selected \n\t\t\t Database format then ..."},"287":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Modifying-an-Existin.htm",l:-1,t:"Modifying an Existing Data Source",i:0.000952593372298201,a:"Using the Data Source Editor you can modify the existing Data Source in the project. The Data Source Editor has three sections. \n\t  Data Source Configuration: Here you can modify the basic details, such as name of the data source, description, delimiter and other details. If you have given any cross ..."},"288":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Importing-an-Existin.htm",l:-1,t:"Importing an Existing Data Source Model",i:0.000952593372298201,a:"Using the Import Wizard you can Import Data Source model into TIBCO MDM Studio. \n\t\t Right-click on the \n\t\t\t Datasources \n\t\t\t folder in the Project Explorer and click \n\t\t\t Import. \n\t\t   The Import Wizard is displayed. Expand \n\t\t\t MDM Data Source Designer, select \n\t\t\t Datasource Meta Data and click ..."},"289":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Exporting-a-Data-Sou.htm",l:-1,t:"Exporting a Data Source",i:0.000952593372298201,a:"Using Export Wizard you can export Data Source model in TIBCO MDM Data Source format. \n\t\t Right-click on the \n\t\t\t Datasources \n\t\t\t folder in the Project Explorer and click \n\t\t\t  Export-- \u003e Export. \n\t\t   The Export Wizard is displayed. Expand \n\t\t\t MDM Data Source from export destination list, select ..."},"290":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Deploying-a-Data-Sou.htm",l:-1,t:"Deploying a Data Source",i:0.000952593372298201,a:"When a repository model (.rep file) is deployed, all the corresponding data source and its data file are also deployed.\n\t\t While deploying data source ensure that the data source data file size is limited to 10 MB. If you want to upload data file more than 10 MB, change the preference property \n\t\t   ..."},"291":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Synchronization_Form136.htm",l:-1,t:"Synchronization Format Editor",i:0.000952593372298201,a:"This chapter describes how to design synchronization format in TIBCO MDM Studio.\n\t  TIBCO MDM Studio provides wizard to create Synchronization format and an editor that allows you to configure properties and define attribute groups and belonging attributes. These attributes are then mapped with the ..."},"292":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Synchronization_Form139.htm",l:-1,t:"Synchronization Formats Overview",i:0.000952593372298201,a:"Synchronization formats define the attributes and structure of the data required by the consumers of that data. The output map defines mappings of repository attributes to synchronization format. When a repository is synchronized, the synchronization format provides the structure for the output ..."},"293":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-the-Synchro.htm",l:-1,t:"Creating the Synchronization Format Special Folder",i:0.00176232526354636,a:"While creating a new MDM Developer project, the synchronization special folder named Sync Format is created. If the Sync format folder is not created you can manually create the special folder. \n\t\t Right click the \n\t\t\t MDM Developer Project, point to \n\t\t\t New and click \n\t\t\t Folder. Enter a user ..."},"294":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-Synchroni.htm",l:-1,t:"Creating a Synchronization Format",i:0.000952593372298201,a:"Right click on the Sync Format Special folder, point to \n\t\t\t New and click \n\t\t\t Sync Format Model.\n\t\t   Enter the appropriate file name for the synchronization format in the \n\t\t\t File name field. The extension of the file name must be \n\t\t\t .sf.\n\t\t   Click \n\t\t\t Next. The properties of the ..."},"295":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Modify-Existing-Sync.htm",l:-1,t:"Modify Existing Synchronization Format",i:0.00176232526354636,a:"Using the Synchronization Format Editor you can modify the existing Synchronization Format in the project. The Synchronization Format Editor has two sections. \n\t\t The default synchronization formats cannot be modified. Only the synchronization formats that you create can be modified. Also, you ..."},"296":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Manage-Attribute-Gro.htm",l:-1,t:"Manage Attribute Groups",i:0.000952593372298201,a:"Manage Attribute Groups Using the Synchronization Format Editor you can create and manage the attribute groups for a synchronization format.\n\t "},"297":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-New-Attri.htm",l:-1,t:"Creating a New Attribute Group",i:0.000952593372298201,a:"The attribute property section allows you to create a new attribute group. \n\t\t On the property section, click \n\t\t\t  . \n\t\t   The new attribute group is created in the synchronization format editor. To create attributes in the attribute group, see \n\t\t\t  Modify Existing Synchronization Format . \n\t\t\t  ..."},"298":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Renaming-the-Attribu.htm",l:-1,t:"Renaming the Attribute Group",i:0.000952593372298201,a:"Renaming the Attribute Group You can change the default attribute group name.\n\t\t On the project explorer, select the \u003cAttribute Group\u003e which you want to rename.\n\t\t   Right-click and select \n\t\t\t Rename.\n\t\t   Enter the new attribute group name.\n\t\t  "},"299":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Importing-a-Synchron.htm",l:-1,t:"Importing a Synchronization Format",i:0.000952593372298201,a:"Using the Import Wizard you can import Synchronization Format into TIBCO MDM Studio. \n\t\t Right-click on the \n\t\t\t Sync Formats \n\t\t\t folder in the Project Explorer and click \n\t\t\t Import. \n\t\t   The Import Wizard is displayed. Expand \n\t\t\t MDM Synchronization Format Designer, select \n\t\t\t Sync Format Meta ..."},"300":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Exporting-a-Synchron.htm",l:-1,t:"Exporting a Synchronization Format",i:0.000952593372298201,a:"Using Export Wizard you can export a Synchronization Format in to TIBCO MDM metadata xml format. \n\t\t Right-click on the \n\t\t\t Sync Formats \n\t\t\t folder in the Project Explorer and click \n\t\t\t  Export-- \u003e Export. \n\t\t   The Export Wizard is displayed. Expand \n\t\t\t MDM Synchronization Format from export ..."},"301":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Deploying-a-Synchron.htm",l:-1,t:"Deploying a Synchronization Format",i:0.000952593372298201,a:"In deployment wizard, sync formats are listed under Sync Formats folder and can be deployed independent of repository model. When a repository model (.rep file) is deployed, all the corresponding synchronization formats are also deployed.\n\t\t In the Deployment pane, right click the \u003cMDM Server and ..."},"302":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Classification-Schem.htm",l:-1,t:"Classification Scheme Editor",i:0.0011257875638512,a:"Classification Scheme Editor This chapter introduces you to the concept of Category Specific Attributes in TIBCO MDM Studio and explains how to design and deploy the Classification Scheme using Classification Scheme Editor.\n\t "},"303":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Overview.htm",l:-1,t:"Overview",i:0.000952593372298201,a:"Overview The Classification Scheme allows you to arrange the various categories of the products in a particular hierarchy. The Classification Scheme Editor allows to define the Category Code hierarchy. Some of the features supported by Classification Editor are as follows:\n\t "},"304":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Editing-Category-Tre.htm",l:-1,t:"Editing Category Tree",i:0.000952593372298201,a:"Allows adding child and sibling Classification Code.\n\t\t Allows Inline editing of the Classification Code name on the tree node and Classification Code Property section allows editing of the code, name, and description.\n\t\t Allows linking and unlinking of Category Specific Attributes to Classification ..."},"305":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Browsing-Category-Tr.htm",l:-1,t:"Browsing Category Tree",i:0.000952593372298201,a:"Allows browsing and searching of Classification Code within the tree based on the name. \n\t\t Allows viewing of linked attributes and the inherited attributes. \n\t\t The Classification Scheme which are defined using the Classification Scheme Editor are deployed using the TIBCO MDM Studio. Since the ..."},"306":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Create-Classificatio.htm",l:-1,t:"Create Classification Schemes",i:0.000952593372298201,a:"Create Classification Schemes The Classification Schemes are created using the following two ways:\n\t  Classification Scheme wizard.\n\t\t Classification Scheme property section.\n\t\t"},"307":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Using_Classification140.htm",l:-1,t:"Using Classification Scheme Wizard",i:0.000952593372298201,a:"Select the Repository Model for which you want to create the classification and right- click on  New \n\t\t\t\t \u003e  Classification Scheme. \n\t\t   The Classification Scheme wizard is displayed. \n\t\t   Click \n\t\t\t Next. \n\t\t   On selecting the Manual, Mixed or Automatic extraction types, \n\t\t\t\tClassification ..."},"308":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Using-Classification.htm",l:-1,t:"Using Classification Scheme Property Section",i:0.00114398399432494,a:"Select the Repository for which you want to create the Classification Scheme and click the \n\t\t\t Classification Schemes tab. \n\t\t   The editable table with the classification parameters is displayed. Click \n\t\t\t   to add new classification scheme. Enter the appropriate Classification Scheme name in the ..."},"309":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Deleting-Classificat.htm",l:-1,t:"Deleting Classification Scheme",i:0.000952593372298201,a:"Deleting Classification Scheme On Project Explorer, select the Classification Scheme and click \n\t\t\t  . \n\t\t  "},"310":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Classification_Schem14.htm",l:-1,t:"Classification Scheme Editor",i:0.000952593372298201,a:"Classification Scheme Editor The Classification Scheme is divided in three section:\n\t  Category Code Editor\n\t\t Linking/Unlinking Category Specific Attribute section\n\t\t Property Section\n\t\t"},"311":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/The-Category-Code-Ed.htm",l:-1,t:"The Category Code Editor allows",i:0.000952593372298201,a:"Adding child and sibling Classification Code.\n\t\t Importing of the Classification Code hierarchy from a CSV file.\n\t\t Inline editing of the Classification Code name on the tree node and Classification Code Property section allows editing of the code, name, and description.\n\t\t Linking and unlinking of ..."},"312":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-Classificat.htm",l:-1,t:"Creating Classification Code Hierarchy",i:0.00273474595440533,a:"Using Classification Code tree controls you can create Classification Code Hierarchy. \n\t\t Click \n\t\t\t   to add a child Classification Code. Enter an appropriate name for the child Classification Code. \n\t\t   The properties for child Classification Code are displayed. Enter the \n\t\t\t Code, \n\t\t\t Name, ..."},"313":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Editing-Classificati.htm",l:-1,t:"Editing Classification Code",i:0.000952593372298201,a:"Editing Classification Code Select the Classification Code which you want to edit. \n\t\t   Double-click on the Classification Code name or use the F2 key. The inline text edit control allows you to modify the Classification Code name. \n\t\t  "},"314":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Dragging-and-Droppin.htm",l:-1,t:"Dragging and Dropping of Classification Code Hierarchy",i:0.000952593372298201,a:"You can drag \u0026 drop the select Classification Codes to a Classification Code node in the tree. \n\t\t Select the Classification Code which you want to drag from the existing hierarchy and drop it to the target Classification Code. For example, drag the \n\t\t\t Food/Beverage/Tobacco Variety Packs ..."},"315":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Browsing-Classificat.htm",l:-1,t:"Browsing Classification Code hierarchy",i:0.000952593372298201,a:"If you have many Classification Code, navigating the Classification Code is made easy by browsing a section of the Classification Code. Only the selected section or branch of the Classification Code is displayed.\n\t\t Select the Classification Code which you want to browse. For example, select \n\t\t\t ..."},"316":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Viewing-Inherited-Cl.htm",l:-1,t:"Viewing Inherited Classification Code Attributes",i:0.000952593372298201,a:"You can view the inherited Classification Code attributes. The Shown Inherit Attribute check box allows to inherit all the Classification Code Attributes of its parent Classification Code.\n\t\t Select the Classification Code for which you want to view the inherited Classification Code. For example, ..."},"317":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Searching-Classifica.htm",l:-1,t:"Searching Classification Code Hierarchy",i:0.000952593372298201,a:"You can search for a Classification Code using the pattern matching string as the search criteria. \n\t\t Type the pattern matching string in the search field. For example, on typing *M displays Classification Code names starting with anything and having a letter M. \n\t\t   To clear the search criteria ..."},"318":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Linking-Category-Spe.htm",l:-1,t:"Linking Category Specific Attributes with Classification Code",i:0.000952593372298201,a:"Using this option you can link defined Category Specific Attributes to category code. \n\t\t Select the Category to link the attributes. \n\t\t   Select the Classification Code to which you want to link the Category Specific Attribute. The table displays only the Category Specific Attributes, normal ..."},"319":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Unlinking-Category-S.htm",l:-1,t:"Unlinking Category Specific Attributes from Classification Code",i:0.000952593372298201,a:"Using this option you can unlink the Category Specific Attributes from the Classification Code. \n\t\t Select the Category to unlink the Category Specific Attribute. \n\t\t   Select the Classification Code from which you want to unlink the Category Specific Attribute. For example, Tobacco Category ..."},"320":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Importing-Classifica.htm",l:-1,t:"Importing Classification Code Hierarchy",i:0.000952593372298201,a:"In addition to creating the Classification Code using the Classification Scheme tree control, you can also import the existing Classification Code hierarchy from the CSV files into the Classification Scheme. \n\t\t The CSV file format should contain the hierarchy level along with their code and ..."},"321":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Deploy-Classificatio.htm",l:-1,t:"Deploy Classification Scheme",i:0.000952593372298201,a:"The Classification Scheme are created for an existing repository model and contains all the necessary information. When a repository model (.rep file) is deployed, all the corresponding Classification Schemes in the repository are also deployed. \n\t  For more information on how to deploy ..."},"322":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Perspective-Editor.htm",l:-1,t:"Perspective Editor",i:0.0011257875638512,a:"Perspective Editor This chapter introduces you to the new wizard for creating perspectives for a repository in TIBCO MDM Studio and also allows you to deploy the perspective in the TIBCO MDM Server.\n\t "},"323":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Perspective-Editor-O.htm",l:-1,t:"Perspective Editor Overview",i:0.00114398399432494,a:"In TIBCO MDM server, a repository may consists of large number of attributes, multiple relationships defined with other repositories, and relationship attributes. However you may be interested in only a subset of the attributes and the relationships to perform various record operations. Navigating ..."},"324":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Creating-a-Perspecti.htm",l:-1,t:"Creating a Perspective",i:0.000952593372298201,a:"You can define a subset for the attributes , attribute groups, relationships, and relationship attributes in the root repository or target repository. \n   In the Project Explorer under the Repository model file, Right-click the Repository on which user want to create a perspective and select \n\t\t\t  ..."},"325":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Deploying-a-Perspect.htm",l:-1,t:"Deploying a Perspective",i:0.000952593372298201,a:"The perspectives are created for an existing repository model and contains all the necessary information. When a repository model (.rep file) is deployed, all the corresponding perspectives in the repository are also deployed.\n\t  In addition, a set of selected perspectives can also be deployed ..."},"326":{y:0,u:"../Repository-Designer/Repository-Designer-Users-guide/Resource-Bundle.htm",l:-1,t:"Resource Bundle",i:0.000952593372298201,a:"Resource Bundle A new editor is added to customize the resource bundle in TIBCO MDM Studio. After customizing the resource bundle, it is deployed in TIBCO MDM Server."},});